
CephFS - Bug #51975

pybind/mgr/stats: KeyError

07/30/2021 08:56 PM - Patrick Donnelly

Status: Resolved % Done: 0%

Priority: Urgent   

Assignee: Jos Collin   

Category:    

Target version: v17.0.0   

Source: Q/A ceph-qa-suite:  

Tags:  Component(FS):  

Backport: pacific Labels (FS): crash

Regression: No Pull request ID: 42608

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

2021-07-30T17:31:36.402 INFO:tasks.ceph.mgr.x.smithi178.stderr:2021-07-30T17:31:36.402+0000 7f48d5

954700 -1 mgr notify stats.notify:

2021-07-30T17:31:36.403 INFO:tasks.ceph.mgr.x.smithi178.stderr:2021-07-30T17:31:36.402+0000 7f48d5

954700 -1 mgr notify Traceback (most recent call last):

2021-07-30T17:31:36.403 INFO:tasks.ceph.mgr.x.smithi178.stderr:  File "/usr/share/ceph/mgr/stats/m

odule.py", line 31, in notify

2021-07-30T17:31:36.403 INFO:tasks.ceph.mgr.x.smithi178.stderr:    self.fs_perf_stats.notify(notif

y_id)

2021-07-30T17:31:36.403 INFO:tasks.ceph.mgr.x.smithi178.stderr:  File "/usr/share/ceph/mgr/stats/f

s/perf_stats.py", line 129, in notify

2021-07-30T17:31:36.404 INFO:tasks.ceph.mgr.x.smithi178.stderr:    result = self.client_metadata['

in_progress'].pop(cmdtag)

2021-07-30T17:31:36.404 INFO:tasks.ceph.mgr.x.smithi178.stderr:KeyError: 'foo'

2021-07-30T17:31:36.404 INFO:tasks.ceph.mgr.x.smithi178.stderr:

 

From:

/ceph/teuthology-archive/pdonnell-2021-07-30_17:07:11-fs-wip-pdonnell-testing-20210729.214022-distro-basic-smithi/6303593/teuth

ology.log

Related issues:

Copied to CephFS - Backport #52084: pacific: pybind/mgr/stats: KeyError Resolved

History

#1 - 08/03/2021 01:23 PM - Jos Collin

- Status changed from New to Fix Under Review

- Pull request ID set to 42608

#2 - 08/06/2021 12:22 PM - Jos Collin

- Status changed from Fix Under Review to Pending Backport

#3 - 08/06/2021 12:25 PM - Backport Bot

- Copied to Backport #52084: pacific: pybind/mgr/stats: KeyError added
#4 - 08/20/2021 09:06 AM - Jos Collin

- Status changed from Pending Backport to Resolved
